﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="View.ascx.cs" Inherits="DotNetNuclear.Modules.Registration.Views.View" %>
<%@ Register TagName="label" TagPrefix="dnn" Src="~/controls/labelcontrol.ascx" %>
<%@ Register TagPrefix="recaptcha" Namespace="Recaptcha" Assembly="Recaptcha" %>


<script type="text/javascript">
    $(document).ready(function () {
        <%=PasswordStrengthScript%>

        /*
        * Jquery validation 
        */
        $("form:first").validate({
            focusInvalid: true,
            onsubmit: false,
            errorElement: "span",
            errorClass: "dnnFormMessage dnnFormError",
            highlight: function (element) {
                jQuery(element).addClass("error");
            },
            unhighlight: function (element) {
                jQuery(element).removeClass("error");
            }
        });

        // Field validators
        $('#<%=ddlCountry.ClientID %>').rules("add", {
            required: true,
            messages: { required: '<%=LocalizeString("ValidationCountryReq.Text")%>' }
        });
        var regionCtrl = $('#<%=txtRegion.ClientID %>').length > 0 ? $('#<%=txtRegion.ClientID %>') : $('#<%=ddlRegion.ClientID %>');
        $(regionCtrl).rules("add", {
            required: true,
            messages: { required: '<%=LocalizeString("ValidationRegionReq.Text")%>' }
        });
        $('#<%=txtCity.ClientID %>').rules("add", {
            required: true,
            messages: { required: '<%=LocalizeString("ValidationCityReq.Text")%>' }
        });
        $('#<%=txtZip.ClientID %>').rules("add", {
            required: true, digits: true,
            messages: { required: '<%=LocalizeString("ValidationZipReq.Text")%>' }
        });
        $('#<%=txtFirstName.ClientID %>').rules("add", {
            required: true,
            messages: { required: '<%=LocalizeString("ValidationFNameReq.Text")%>' }
        });
        $('#<%=txtLastName.ClientID %>').rules("add", {
            required: true,
            messages: { required: '<%=LocalizeString("ValidationLNameReq.Text")%>' }
        });
        $('#<%=txtEmail.ClientID %>').rules("add", {
            required: true, email: true,
            messages: { required: '<%=LocalizeString("ValidationEmailReq.Text")%>', email: '<%=LocalizeString("ValidationEmailFmt.Text")%>' }
        });
        $('#<%=txtUsername.ClientID %>').rules("add", {
            required: true, minlength: 4,
            messages: { required: '<%=LocalizeString("ValidationUsernameReq.Text")%>', minlength: '<%=LocalizeString("ValidationUsernameFmt.Text")%>' }
        });
        $('#<%=txtPassword.ClientID %>').rules("add", {
            required: true, minlength: 6,
            messages: { required: '<%=LocalizeString("ValidationPasswordReq.Text")%>', minlength: '<%=LocalizeString("ValidationPasswordMin.Text")%>' }
        });
        $('#<%=txtPasswordConfirm.ClientID %>').rules("add", {
            equalTo: '#<%=txtPassword.ClientID %>',
            messages: { equalTo: '<%=LocalizeString("ValidationPasswordMatch.Text")%>' }
        });
        $('#<%=chkTermsAgreement.ClientID %>').rules("add", {
            required: true,
            messages: { required: '<%=LocalizeString("ValidationTermsReq.Text")%>' }
        });

        $('#<%= btnRegister.ClientID %>').click(function (evt) {
            // Validate the form and retain the result.
            var isValid = $("form:first").valid();

            // If the form didn't validate, prevent the
            //  form submission.
            if (!isValid) {
                evt.preventDefault();
            }
        });
    });
</script>

<asp:Panel id="pnlRegistrationForm" class="dnnForm dnnuclearRegistration dnnPassword" runat="server">
    <fieldset>
        <div class="dnnFormItem"><h3>Where are you?</h3><hr /></div>
        <asp:UpdatePanel ID="pnlCountryState" runat="server">
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ddlCountry" />
            </Triggers>
            <ContentTemplate>
                <div class="dnnFormItem">
                    <dnn:Label runat="server" ControlName="lblCountry" ResourceKey="lblCountry" />
                    <asp:DropDownList runat="server" ID="ddlCountry" DataTextField="Text" DataValueField="Value" CssClass="dnnFormRequired" AutoPostBack="true" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged"></asp:DropDownList>
                </div>
                <div class="dnnFormItem">
                    <dnn:Label runat="server" ControlName="lblRegion" ResourceKey="lblRegion" />
                    <asp:Textbox ID="txtRegion" MaxLength="50" runat="server" CssClass="dnnFormRequired" />
                    <asp:DropDownList id="ddlRegion" runat="server" DataTextField="Text" DataValueField="Value" CssClass="dnnFormRequired" Visible="false"></asp:DropDownList>
                </div>
            </ContentTemplate>
        </asp:UpdatePanel>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="lblCity" ResourceKey="lblCity" />
            <asp:Textbox ID="txtCity" MaxLength="50" runat="server" CssClass="dnnFormRequired" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="lblZip" ResourceKey="lblZip" />
            <asp:Textbox ID="txtZip" MaxLength="10" runat="server" CssClass="dnnFormRequired" />
        </div>

        <div class="dnnFormItem"><h3>Who are you?</h3><hr /></div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="lblFirstName" ResourceKey="lblFirstName" />
            <asp:Textbox ID="txtFirstName" MaxLength="50" runat="server" CssClass="dnnFormRequired" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="lblLastName" ResourceKey="lblLastName" />
            <asp:Textbox ID="txtLastName" MaxLength="50" runat="server" CssClass="dnnFormRequired" />
        </div>
        <div class="dnnFormItem">
            <div class="dnnLabel"><label><span>&nbsp;</span></label></div>
            <div class="dnnFormItemInfo">
                The "display name" in your profile is the name visible to anonymous and registered users of the site.  
                Initially this will be your first and last name entered here.
            </div>
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="lblEmail" ResourceKey="lblEmail" />
            <asp:Textbox ID="txtEmail" MaxLength="100" runat="server" CssClass="dnnFormRequired" />
        </div>
        <div class="dnnFormItem">
            <div class="dnnLabel"><label><span>&nbsp;</span></label></div>
            <div class="dnnFormItemInfo">
                We will only use this email address to communicate information about your account or 
	            any important updates about our products or services.  Your email address will not be visible to any users 
	            on the site whether registered or anonymous.
            </div>
        </div>

        <div class="dnnFormItem"><h3>How do you like to login?</h3><hr /></div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="lblUsername" ResourceKey="lblUsername" />
            <asp:Textbox ID="txtUsername" MaxLength="30" runat="server" CssClass="dnnFormRequired" />
        </div>
        <div class="dnnFormItem">
            <div class="dnnLabel"><label><span>&nbsp;</span></label></div>
            <div class="dnnFormItemInfo">
                You are welcome to use your email address as your username but be aware that this username is visible to other registered users on the 
	            site because it is used in our private messaging system.
            </div>
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="lblPassword" ResourceKey="lblPassword" />
            <asp:Panel ID="passwordContainer" CssClass="password-strength-container" runat="server">
                <asp:Textbox ID="txtPassword" MaxLength="20" TextMode="Password" runat="server" CssClass="dnnFormRequired password-strength" />
            </asp:Panel>
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="lblPasswordConfirm" ResourceKey="lblPasswordConfirm" />
            <asp:Textbox ID="txtPasswordConfirm" TextMode="Password" MaxLength="20" runat="server" style="width: 248px;" CssClass="dnnFormRequired password-confirm" />
        </div>
        <div class="dnnFormItem" style="display:table; margin:0 auto; padding-top: 25px;">
            <div style="display:inline-block;">
                <asp:CheckBox ID="chkTermsAgreement" CssClass="NormalTextBox" runat="server" />
                I have read, understood, and agree to the
		        <a href="/Terms.aspx?SkinSrc=[G]Skins/_default/No+Skin&ContainerSrc=[G]Containers/_default/No+Container&keepThis=true&TB_iframe=true&height=400&width=600" title="User Agreement" class="thickbox">User Agreement</a> and 
		        <a href="/Privacy.aspx?SkinSrc=[G]Skins/_default/No+Skin&ContainerSrc=[G]Containers/_default/No+Container&keepThis=true&TB_iframe=true&height=400&width=600" title="Privacy Policy" class="thickbox">Privacy Policy</a>
            </div>
        </div>
        <div class="dnnFormItem" style="display:table; margin:0 auto; padding-top: 25px;">
            <div style="display:inline-block;">
                <recaptcha:RecaptchaControl ID="recaptcha" runat="server" PublicKey="your_public_key" PrivateKey="your_private_key"/>
            </div>
        </div>
    </fieldset>

    <ul class="dnnActions dnnClear">
        <li><asp:LinkButton ID="btnRegister" runat="server" CssClass="dnnPrimaryAction" ResourceKey="Register" OnClick="btnRegister_Click" /></li>
        <li><asp:HyperLink ID="hlCancel" runat="server" CssClass="dnnSecondaryAction" NavigateUrl="/" ResourceKey="Cancel" /></li>
    </ul>
</asp:Panel>
